#pragma once

#include "Qubit.h"

#include <vector>
#include <string>

class QuantumState
{
public:
    void addValue(const Qubit& data)
    {
        mState.push_back(data);
    }

    const std::vector<Qubit>& getData() const;

    std::string toString() const;

private:
    std::vector<Qubit> mState;
};
